﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
  <title>アンケートフォーム</title>
</head>
<body>
  <form id="form1" runat="server">
  <div>
    <h1>アンケート</h1>
    <h3>プロフィール</h3>
    <table>
      <tr>
        <td>
          <asp:Label ID="NameLabel" runat="server"
            Text="氏名"></asp:Label>
        </td>
        <td>
          姓<asp:TextBox ID="FamilyNameTextBox"
            runat="server"></asp:TextBox>
          名<asp:TextBox ID="FirstNameTextBox"
            runat="server"></asp:TextBox>
          <asp:RequiredFieldValidator
            ID="FamilyNameRequiredFieldValidator"
            runat="server" 
            ErrorMessage="姓を入力してください"
            ControlToValidate="FamilyNameTextBox"
            Display="Dynamic">
          </asp:RequiredFieldValidator>
          <asp:RequiredFieldValidator
            ID="FirstNameRequiredFieldValidator"
            runat="server" 
            ErrorMessage="名を入力してください"
            ControlToValidate="FirstNameTextBox" 
            Display="Dynamic">
          </asp:RequiredFieldValidator>
        </td>
      </tr>
      <tr>
        <td>
          <asp:Label ID="KanaLabel" runat="server"
            Text="フリガナ"></asp:Label>
         </td>
        <td>
          姓<asp:TextBox ID="FamilyNameKanaTextBox"
            runat="server"></asp:TextBox>
          名<asp:TextBox ID="FirstNameKanaTextBox"
            runat="server"></asp:TextBox>
          <asp:RequiredFieldValidator
            ID="FamilyNameKanaRequiredFieldValidator" 
            runat="server"
            ErrorMessage="姓（カナ）を入力してください" 
            ControlToValidate="FamilyNameKanaTextBox"
            Display="Dynamic">
          </asp:RequiredFieldValidator>
          <asp:RequiredFieldValidator
            ID="FirstNameKanaRequiredFieldValidator" 
            runat="server"
            ErrorMessage="名（カナ）を入力してください" 
            ControlToValidate="FirstNameKanaTextBox"
            Display="Dynamic">
          </asp:RequiredFieldValidator>
       </td>
      </tr>
      <tr>
        <td>
          <asp:Label ID="MailAddressLabel" runat="server"
            Text="メールアドレス"></asp:Label>
        </td>
        <td>
          <asp:TextBox ID="MailAddressTextBox"
            runat="server"
            Width="260px"></asp:TextBox>
          <asp:RegularExpressionValidator
            ID="MailAddressRegularExpressionValidator" 
            runat="server"
            ErrorMessage="メールアドレスが正しくありません" 
            ControlToValidate="MailAddressTextBox" 
            ValidationExpression=
              "\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*">
          </asp:RegularExpressionValidator>
        </td>
      </tr>
      <tr>
        <td>
          <asp:Label ID="BirthDayLabel" runat="server"
            Text="誕生日"></asp:Label>
         </td>
        <td>
          <asp:DropDownList ID="BirthDayGengoDropDownList"
            runat="server" Width="60px">
            <asp:ListItem Value=""></asp:ListItem>
            <asp:ListItem Value="明治">明治</asp:ListItem>
            <asp:ListItem Value="大正">大正</asp:ListItem>
            <asp:ListItem Value="昭和">昭和</asp:ListItem>
            <asp:ListItem Value="平成">平成</asp:ListItem>
          </asp:DropDownList>
          <asp:TextBox ID="BirthDayYearTextBox"
            runat="server"
            Width="30px" MaxLength="2"></asp:TextBox>年
          <asp:TextBox ID="BirthDayMonthTextBox"
            runat="server"
            Width="30px" MaxLength="2"></asp:TextBox>月
          <asp:TextBox ID="BirthDayDayTextBox"
            runat="server"
            Width="30px" MaxLength="2"></asp:TextBox>日
          <asp:CompareValidator
            ID="BirthDayYearCompareValidator"
            runat="server" 
            ErrorMessage="年は1以上で入力してください"
            ControlToValidate="BirthDayYearTextBox" 
            Display="Dynamic"
            Operator="GreaterThanEqual"
            Type="Integer" 
            ValueToCompare="1"></asp:CompareValidator>
          <asp:RangeValidator
            ID="BirthDayMonthRangeValidator"
            runat="server" 
            ErrorMessage="月は1～12を入力してください"
            ControlToValidate="BirthDayMonthTextBox" 
            Display="Dynamic"
            MaximumValue="12"
            MinimumValue="1"
            Type="Integer"></asp:RangeValidator>
          <asp:RangeValidator
            ID="BirthDayDayRangeValidator"
            runat="server" 
            ErrorMessage="日は1～31を入力してください"
            ControlToValidate="BirthDayDayTextBox" 
            Display="Dynamic"
            MaximumValue="31"
            MinimumValue="1"
            Type="Integer"></asp:RangeValidator>
          <asp:CustomValidator
            ID="BirthDayGengoCustomValidator"
            runat="server" 
            ControlToValidate="BirthDayGengoDropDownList"
            ErrorMessage="元号を選択してください"
            Display="Dynamic"></asp:CustomValidator>
          <asp:CustomValidator
            ID="BirthDayCustomValidator"
            runat="server" 
            ErrorMessage="誕生日の日付が正しくありません"
            Display="Dynamic"></asp:CustomValidator>
        </td>
      </tr>
      <tr>
        <td>
          <asp:Label ID="JobLabel" runat="server"
            Text="職業"></asp:Label>
         </td>
        <td>
          <asp:ListBox ID="JobListBox"
            runat="server" Rows="4">
            <asp:ListItem>公務員</asp:ListItem>
            <asp:ListItem>地方公務員</asp:ListItem>
            <asp:ListItem>法律</asp:ListItem>
            <asp:ListItem>IT業界</asp:ListItem>
            <asp:ListItem>マスメディア</asp:ListItem>
            <asp:ListItem>ホテル</asp:ListItem>
            <asp:ListItem>接客</asp:ListItem>
            <asp:ListItem>宿泊</asp:ListItem>
            <asp:ListItem>デザイン</asp:ListItem>
            <asp:ListItem>アパレル</asp:ListItem>
            <asp:ListItem>アパレル経営</asp:ListItem>
            <asp:ListItem>サラリーマン</asp:ListItem>
            <asp:ListItem>事務</asp:ListItem>
            <asp:ListItem>学問、研究系</asp:ListItem>
            <asp:ListItem>福祉・介護</asp:ListItem>
            <asp:ListItem>医療</asp:ListItem>
            <asp:ListItem>金融</asp:ListItem>
            <asp:ListItem>教育</asp:ListItem>
            <asp:ListItem>建築</asp:ListItem>
            <asp:ListItem>動物</asp:ListItem>
            <asp:ListItem>運輸業界</asp:ListItem>
            <asp:ListItem>農業・漁業</asp:ListItem>
            <asp:ListItem>陸上自衛隊</asp:ListItem>
            <asp:ListItem>海上自衛隊</asp:ListItem>
            <asp:ListItem>その他</asp:ListItem>
          </asp:ListBox>
        </td>
      </tr>
    </table>

    <h3>以下の項目にお答えください</h3>
    <h4>このサイトをどこで知りましたか？（複数回答可）</h4>
      <asp:CheckBox ID="TVCheckBox"
        runat="server" Text="テレビ" />
      <asp:CheckBox ID="NewsPaperCheckBox" runat="server"
        Text="新聞" />
      <asp:CheckBox ID="MagazineCheckBox" runat="server"
        Text="雑誌" />
      <asp:CheckBox ID="FriendCheckBox" runat="server"
        Text="友人・知人" />
      <asp:CheckBox ID="WebSearchCheckBox" runat="server"
        Text="Web検索" /><br />
      <asp:CheckBox ID="OtherCheckBox" runat="server"
        Text="その他" />
        （詳しくお書きください
        <asp:TextBox ID="OtherDetailTextBox"
          runat="server"
          Width="300px"></asp:TextBox>
        ）<br />
      <asp:CustomValidator ID="CheckCustomValidator"
        runat="server" 
        ErrorMessage="最低1つは選択してください"
        Display="Dynamic"></asp:CustomValidator>    

    <h4>このサイトはどうでしたか？</h4>
      <asp:RadioButton ID="VeryGoodRadioButton"
        runat="server"
        GroupName="Rating" Text="とても良い" />
      <asp:RadioButton ID="GoodRadioButton" runat="server"
        GroupName="Rating" Text="良い" />
      <asp:RadioButton ID="NormalRadioButton"
        runat="server"
        GroupName="Rating" 
        Text="どちらでもない" />
      <asp:RadioButton ID="BadRadioButton" runat="server"
        GroupName="Rating" 
        Text="悪い" />
      <asp:RadioButton ID="VeryBadRadioButton"
        runat="server"
        GroupName="Rating" 
        Text="とても悪い" /><br />
      <asp:CustomValidator ID="RadioCustomValidator"
        runat="server" 
        ErrorMessage="どれか1つ選択してください"
        Display="Dynamic"></asp:CustomValidator>    

    <h4>その理由をお答えください</h4>
      <asp:TextBox ID="ReasonTextBox" runat="server"
        Width="450px"></asp:TextBox>

    <h4>ご意見・ご要望など自由にお書きください</h4>
      <asp:TextBox ID="FreeTextBox" runat="server"
        TextMode="MultiLine"
        Columns="50"
        Rows="5">
      </asp:TextBox>
    
    <br />
    <asp:Button ID="PostButton" runat="server"
      Text="送信" />
        
    <asp:ValidationSummary ID="EnqueteValidationSummary"
      runat="server" />
  </div>
  <hr />
  <div>
    <asp:Label ID="ResultLabel" runat="server">
    </asp:Label>
  </div>
  </form>
</body>
</html>