﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
  <title></title>
</head>
<body>
  <form id="form1" runat="server">
  <div>
    <asp:GridView ID="GridView1" runat="server" AllowPaging="True" AllowSorting="True"
      AutoGenerateColumns="False" BackColor="White" BorderColor="#E7E7FF" BorderStyle="None"
      BorderWidth="1px" CellPadding="3" DataKeyNames="ProductID" DataSourceID="ObjectDataSource1"
      GridLines="Horizontal">
      <RowStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" />
      <Columns>
        <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
        <asp:BoundField DataField="ProductID" HeaderText="ProductID" InsertVisible="False"
          ReadOnly="True" SortExpression="ProductID" />
        <asp:BoundField DataField="ProductName" HeaderText="ProductName" SortExpression="ProductName" />
        <asp:BoundField DataField="SupplierID" HeaderText="SupplierID" SortExpression="SupplierID" />
        <asp:BoundField DataField="CategoryID" HeaderText="CategoryID" SortExpression="CategoryID" />
        <asp:BoundField DataField="QuantityPerUnit" HeaderText="QuantityPerUnit" SortExpression="QuantityPerUnit" />
        <asp:BoundField DataField="UnitPrice" HeaderText="UnitPrice" SortExpression="UnitPrice" />
        <asp:BoundField DataField="UnitsInStock" HeaderText="UnitsInStock" SortExpression="UnitsInStock" />
        <asp:BoundField DataField="UnitsOnOrder" HeaderText="UnitsOnOrder" SortExpression="UnitsOnOrder" />
        <asp:BoundField DataField="ReorderLevel" HeaderText="ReorderLevel" SortExpression="ReorderLevel" />
        <asp:CheckBoxField DataField="Discontinued" HeaderText="Discontinued" SortExpression="Discontinued" />
      </Columns>
      <FooterStyle BackColor="#B5C7DE" ForeColor="#4A3C8C" />
      <PagerStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" HorizontalAlign="Right" />
      <SelectedRowStyle BackColor="#738A9C" Font-Bold="True" ForeColor="#F7F7F7" />
      <HeaderStyle BackColor="#4A3C8C" Font-Bold="True" ForeColor="#F7F7F7" />
      <AlternatingRowStyle BackColor="#F7F7F7" />
    </asp:GridView>
    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" DeleteMethod="Delete"
      InsertMethod="Insert" OldValuesParameterFormatString="original_{0}" SelectMethod="GetData"
      TypeName="DataSet1TableAdapters.ProductsTableAdapter" UpdateMethod="Update">
      <DeleteParameters>
        <asp:Parameter Name="Original_ProductID" Type="Int32" />
      </DeleteParameters>
      <UpdateParameters>
        <asp:Parameter Name="ProductName" Type="String" />
        <asp:Parameter Name="SupplierID" Type="Int32" />
        <asp:Parameter Name="CategoryID" Type="Int32" />
        <asp:Parameter Name="QuantityPerUnit" Type="String" />
        <asp:Parameter Name="UnitPrice" Type="Decimal" />
        <asp:Parameter Name="UnitsInStock" Type="Int16" />
        <asp:Parameter Name="UnitsOnOrder" Type="Int16" />
        <asp:Parameter Name="ReorderLevel" Type="Int16" />
        <asp:Parameter Name="Discontinued" Type="Boolean" />
        <asp:Parameter Name="Original_ProductID" Type="Int32" />
      </UpdateParameters>
      <InsertParameters>
        <asp:ControlParameter ControlID="CategoryIDTextBox" Name="ProductName" 
          PropertyName="Text" Type="String" />
        <asp:ControlParameter ControlID="SupplierIDTextBox" Name="SupplierID" 
          PropertyName="Text" Type="Int32" />
        <asp:ControlParameter ControlID="CategoryIDTextBox" Name="CategoryID" 
          PropertyName="Text" Type="Int32" />
        <asp:ControlParameter ControlID="QuantityPerUnitTextBox" Name="QuantityPerUnit" 
          PropertyName="Text" Type="String" />
        <asp:ControlParameter ControlID="UnitPriceTextBox" Name="UnitPrice" 
          PropertyName="Text" Type="Decimal" />
        <asp:ControlParameter ControlID="UnitsInStockTextBox" Name="UnitsInStock" 
          PropertyName="Text" Type="Int16" />
        <asp:ControlParameter ControlID="UnitsOnOrderTextBox" Name="UnitsOnOrder" 
          PropertyName="Text" Type="Int16" />
        <asp:ControlParameter ControlID="ReorderLevelTextBox" Name="ReorderLevel" 
          PropertyName="Text" Type="Int16" />
        <asp:ControlParameter ControlID="DiscontinuedCheckBox" Name="Discontinued" 
          PropertyName="Checked" Type="Boolean" />
      </InsertParameters>
    </asp:ObjectDataSource>
    <table>
      <tr>
        <td>
          ProductName
        </td>
        <td>
          <asp:TextBox ID="ProductNameTextBox" runat="server"></asp:TextBox>
        </td>
      </tr>
      <tr>
        <td>
          SupplierID
        </td>
        <td>
          <asp:TextBox ID="SupplierIDTextBox" runat="server"></asp:TextBox>
        </td>
      </tr>
      <tr>
        <td>
          CategoryID
        </td>
        <td>
          <asp:TextBox ID="CategoryIDTextBox" runat="server"></asp:TextBox>
        </td>
      </tr>
      <tr>
        <td>
          QuantityPerUnit
        </td>
        <td>
          <asp:TextBox ID="QuantityPerUnitTextBox" runat="server"></asp:TextBox>
        </td>
      </tr>
      <tr>
        <td>
          UnitPrice
        </td>
        <td>
          <asp:TextBox ID="UnitPriceTextBox" runat="server"></asp:TextBox>
        </td>
      </tr>
      <tr>
        <td>
          UnitsInStock
        </td>
        <td>
          <asp:TextBox ID="UnitsInStockTextBox" runat="server"></asp:TextBox>
        </td>
      </tr>
      <tr>
        <td>
          UnitsOnOrder
        </td>
        <td>
          <asp:TextBox ID="UnitsOnOrderTextBox" runat="server"></asp:TextBox>
        </td>
      </tr>
      <tr>
        <td>
          ReorderLevel
        </td>
        <td>
          <asp:TextBox ID="ReorderLevelTextBox" runat="server"></asp:TextBox>
        </td>
      </tr>
      <tr>
        <td>
          Discontinued
        </td>
        <td>
          <asp:CheckBox ID="DiscontinuedCheckBox" runat="server" />
        </td>
      </tr>
    </table>
    <asp:Button ID="AddButton" runat="server" Text="追加" />
  </div>
  </form>
</body>
</html>
