﻿Partial Class _Default
  Inherits System.Web.UI.Page

  Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
    If Not Page.IsPostBack Then
      ' PostBack以外
      ' 訪問回数をCookieから取得
      Dim cookie As HttpCookie = Request.Cookies("Count")
      Dim count As Integer
      If cookie Is Nothing Then
        count = 0
      Else
        count = Int32.Parse(cookie.Value)
      End If
      ' 訪問回数をカウントアップ
      count += 1
      ' 訪問回数をラベルに表示
      CountLabel.Text = String.Format("{0} 回目の訪問です", count)
      ' 訪問回数をCookieに保存
      Response.Cookies("Count").Value = count.ToString()
    End If
  End Sub

  Protected Sub RedirectButton_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles RedirectButton.Click
    ' 入力された名前をSessionに保存
    Session("name") = NameTextBox.Text
    ' メニューページに移動
    Response.Redirect("~/Menu.aspx")
  End Sub
End Class
