﻿Imports System.Web.Services.Protocols
Imports System.Xml

Partial Class _Default
    Inherits System.Web.UI.Page

  Protected Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles ExecuteButton.Click
    Try
      ' プロキシクラスのインスタンス作成
      Dim svc As New WhatTimeIsItNowService.Service()
      ' Webサービス呼び出し
      ResultLabel.Text = svc.WhatTimeIsItNow(UserNameTextBox.Text)

    Catch ex As SoapException ' SoapExceptoinのみをキャッチ
      Dim message As String = ex.Message

      ' Detailプロパティを取得
      Dim detail As XmlNode = ex.Detail
      Dim argName As String = ""
      ' Detailプロパティに情報が設定されていれば取得する
      If detail.HasChildNodes Then
        Dim myItem As XmlElement = detail("argName")
        argName = myItem.InnerText
      End If

      ' 例外の詳細を表示
      ResultLabel.Text = String.Format( _
        "{0}<br>引数名：{1}" _
        , message _
        , argName)
    End Try
  End Sub
End Class
