﻿Imports System.Web
Imports System.Web.Services
Imports System.Web.Services.Protocols
Imports System.Xml

' この Web サービスを、スクリプトから ASP.NET AJAX を使用して呼び出せるようにするには、次の行のコメントを解除します。
' <System.Web.Script.Services.ScriptService()> _
<WebService(Namespace:="http://example.com/masaru/")> _
<WebServiceBinding(ConformsTo:=WsiProfiles.BasicProfile1_1)> _
<Global.Microsoft.VisualBasic.CompilerServices.DesignerGenerated()> _
Public Class Service
  Inherits System.Web.Services.WebService

  <WebMethod()> _
  Public Function WhatTimeIsItNow(ByVal userName As String) As String
    ' 引数のチェック
    If String.IsNullOrEmpty(userName) Then
      Dim doc As New XmlDocument()
      ' SoapException.Detailプロパティに設定するXmlNode
      Dim detailNode As XmlNode = doc.CreateNode( _
      XmlNodeType.Element _
      , SoapException.DetailElementName.Name _
      , SoapException.DetailElementName.Namespace)
      ' XmlNodeに独自の情報を設定
      detailNode.InnerXml =  "<argName>userName</argName>"
      ' 独自にSoapExceptionを作成してThrow
      Throw New SoapException( _
      "引数が設定されていません" _
      , SoapException.ClientFaultCode _
      , Context.Request.Url.AbsoluteUri _
      , detailNode)
    End If

    Return String.Format( _
      "ようこそ {0} さん、現在の時刻は {1} です。" _
      , userName _
      , DateTime.Now.ToString("H 時 m 分 s 秒") _
    )
  End Function
End Class
